Bug 728899 - intel Wifi 5100 does not work
Summary: intel Wifi 5100 does not work
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-08 10:46 UTC by lionghostshop
Modified: 2011-08-13 21:07 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-13 21:07:43 UTC


Attachments (Terms of Use)
boot log (7.48 KB, text/x-log)
2011-08-08 13:24 UTC, lionghostshop
no flags Details
dmesg (53.29 KB, text/plain)
2011-08-08 13:25 UTC, lionghostshop
no flags Details

Description lionghostshop 2011-08-08 10:46:00 UTC
Description of problem:


Version-Release number of selected component (if applicable):
2.6.40-4

How reproducible:

Cannot detect the wifi card. 
it works using 2.6.38.

Comment 1 Josh Boyer 2011-08-08 13:11:44 UTC
Is there anything in dmesg relevant to this?

Could you attach the boot logs from 2.6.38 and 2.6.40-4?

Comment 2 lionghostshop 2011-08-08 13:24:21 UTC
Created attachment 517211 [details]
boot log

Comment 3 lionghostshop 2011-08-08 13:25:16 UTC
Created attachment 517212 [details]
dmesg

Comment 4 lionghostshop 2011-08-08 13:25:40 UTC
[leo@localhost log]$ lspci 
00:00.0 Host bridge: Intel Corporation Mobile 945GME Express Memory Controller Hub (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GME Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)
00:1b.0 Audio device: Intel Corporation N10/ICH 7 Family High Definition Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 1 (rev 02)
00:1c.2 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 3 (rev 02)
00:1d.0 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #3 (rev 02)
00:1d.3 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #4 (rev 02)
00:1d.7 USB Controller: Intel Corporation N10/ICH 7 Family USB2 EHCI Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e2)
00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge (rev 02)
00:1f.2 IDE interface: Intel Corporation 82801GBM/GHM (ICH7 Family) SATA IDE Controller (rev 02)
00:1f.3 SMBus: Intel Corporation N10/ICH 7 Family SMBus Controller (rev 02)
02:00.0 Network controller: Intel Corporation WiFi Link 5100
03:00.0 Ethernet controller: Marvell Technology Group Ltd. 88E8040 PCI-E Fast Ethernet Controller (rev 13)

Comment 5 Stanislaw Gruszka 2011-08-12 13:49:48 UTC
Remove swcrypto50=1 from /etc/modprobe.d/* . You may try not use this option or use swcrypto=1   .

Comment 6 lionghostshop 2011-08-12 15:57:04 UTC
It works. Thank you. But any patch for other users?

Comment 7 Stanislaw Gruszka 2011-08-13 21:07:43 UTC
I did not check, but I don't think we have swcrypto50=1 as default (if so bug report should be reopened for module-init-tools). Seems you added that option and forgot about that :-) , swcrypto50 is now removed from iwlwifi driver hence module did not load.


Note You need to log in before you can comment on or make changes to this bug.